## nvidia-xconfig 1.0+20080522-1ubuntu1

=== debian/changelog ===
nvidia-xconfig (1.0+20080522-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #242933):
    - Conflict with nvidia-glx and nvidia-glx-new
    - Modify Maintainer value to match the DebianMaintainerField
      specification.

 -- Nathan Handler <nathan.handler@gmail.com>  Wed, 25 Jun 2008 08:46:26 -0500

nvidia-xconfig (1.0+20080522-1) unstable; urgency=low

  * new upstream

 -- Randall Donald <rdonald@debian.org>  Tue, 24 Jun 2008 10:53:38 -0700

nvidia-xconfig (1.0+20070502-1ubuntu1) hardy; urgency=low

  * Conflict with nvidia-glx, nvidia-glx-new. (LP: #177559)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 22 Jan 2008 12:33:31 +0200

nvidia-xconfig (1.0+20070502-1) unstable; urgency=low

  * New upstream.

 -- Randall Donald <rdonald@debian.org>  Sat, 12 May 2007 15:01:23 -0700

nvidia-xconfig (1.0+20051122-2) unstable; urgency=low

  * Add license and copyright info for XF86Config-parser 

 -- Randall Donald <rdonald@debian.org>  Fri, 30 Dec 2005 10:44:29 -0800

nvidia-xconfig (1.0+20051122-1) unstable; urgency=low

  * Initial Upload.

 -- Randall Donald <rdonald@debian.org>  Mon,  7 Nov 2005 10:54:24 -0800
