=== debian/control ===
Source: nvidia-xconfig
Section: x11
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Randall Donald <rdonald@debian.org>
Build-Depends: debhelper (>= 4.0.0), m4
Standards-Version: 3.6.2

Package: nvidia-xconfig
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: nvidia-glx, nvidia-glx-new
Description: The NVIDIA X Configuration Tool
 nvidia-xconfig: A tool for manipulating X config files,
 specifically for use by the systems with
 the NVIDIA Linux graphics driver.
