## nvidia-xconfig 1.0+20080522-2

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+DESTDIR=
+ROOT=$(DESTDIR)
 #
 # nvidia-xconfig: A tool for manipulating X config files,
 # specifically for use by the NVIDIA Linux graphics driver.
@@ -98,6 +100,7 @@
 NVIDIA_XCONFIG_DISTDIR = $(NVIDIA_XCONFIG)-$(NVIDIA_XCONFIG_VERSION)
 
 EXTRA_DIST = \
+	COPYING \
 	nvgetopt.h \
 	nvidia-xconfig.h \
 	nvidia-cfg.h \
@@ -120,7 +123,9 @@
 	tree.c			\
 	nvgetopt.c		\
 	options.c		\
-        lscf.c
+	lscf.c			\
+	query_gpu_info.c        \
+	extract_edids.c
 
 ALL_SRC = $(SRC) $(STAMP_C)
