=== debian/changelog ===
nvidia-xconfig (1.0+20080522-2) unstable; urgency=high

  * add missing pkg-config dependancy. (closes: #497564)
  * change maintainer and uploaders.

 -- Randall Donald <rdonald@debian.org>  Fri, 05 Sep 2008 14:52:57 -0700
