=== debian/control ===
Source: nvidia-xconfig
Section: x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Randall Donald <rdonald@debian.org>
Build-Depends: debhelper (>= 4.0.0), m4
Standards-Version: 3.6.2

Package: nvidia-xconfig
Architecture: any
Depends: pkg-config, ${shlibs:Depends}
Suggests: nvidia-glx (>= 1.0.8174)
Description: The NVIDIA X Configuration Tool
 nvidia-xconfig: A tool for manipulating X config files,
 specifically for use by the systems with
 the NVIDIA Linux graphics driver.
