## nvidia-xconfig 195.36.31

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-DESTDIR=
-ROOT=$(DESTDIR)
 #
 # nvidia-xconfig: A tool for manipulating X config files,
 # specifically for use by the NVIDIA Linux graphics driver.
