=== debian/control ===
Source: nvidia-xconfig
Section: contrib/x11
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 7), m4
Standards-Version: 3.8.4
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig

Package: nvidia-xconfig
Architecture: i386 amd64
Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-glx
 | nvidia-glx-legacy-173xx
 | nvidia-glx-legacy-96xx
 | nvidia-glx-legacy-71xx
Description: X configuration tool for non-free NVIDIA drivers
 The nvidia-xconfig program helps with manipulation of X configuration
 files, primarily for systems that use the non-free drivers provided by
 NVIDIA.  It automatically changes the configuration to use the NVIDIA
 driver and can add additional options given on the command line.
