=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export NVDEBUG = 1
endif

%:
	dh $@
