=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-(.*).tar.gz
