## nvidia-xconfig 275.09.07

=== debian/changelog ===
nvidia-xconfig (275.09.07-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
  * Drop dependency on nvidia-common in favor of nvidia-installer-cleanup.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Jun 2011 07:36:43 -0700

nvidia-xconfig (270.41.06-1) unstable; urgency=low

  * New upstream release.
  * Add nvidia-installer-cleanup as an alternative to nvidia-common.
  * Update Standards-Version to 3.9.2, no changes needed.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 15 May 2011 17:56:11 -0700

nvidia-xconfig (260.19.44-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #618756)
  * Add Pre-Depends: nvidia-common for nvidia-installer cleanup.

 -- Russ Allbery <rra@debian.org>  Tue, 26 Apr 2011 17:03:33 -0700

nvidia-xconfig (256.53-1) experimental; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
  * Update DESTDIR.diff, add FHS.diff to install in /usr instead of /usr/local
  * Update Standards-Version to 3.9.1, no changes needed.
  * Switch to debhelper compat level 8, no changes needed.
  * Recommend nvidia-glx without alternatives.  This is now a virtual package
    provided by nvidia-glx-legacy-* as well.
  * Add Depends: x11-common so that /etc/X11 exists.
  * Add myself to Uploaders.

  [ Russ Allbery ]
  * Target experimental since 195.36.31-1 should ideally ship with
    squeeze.

 -- Russ Allbery <rra@debian.org>  Sat, 18 Sep 2010 14:56:07 -0700
