=== debian/control ===
Source: nvidia-xconfig
Section: contrib/x11
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Russ Allbery <rra@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), m4
Standards-Version: 3.9.2
Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig/

Package: nvidia-xconfig
Architecture: i386 amd64
Pre-Depends: nvidia-installer-cleanup
Depends: pkg-config, x11-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-glx
Description: X configuration tool for non-free NVIDIA drivers
 The nvidia-xconfig program helps with manipulation of X configuration
 files, primarily for systems that use the non-free drivers provided by
 NVIDIA.  It automatically changes the configuration to use the NVIDIA
 driver and can add additional options given on the command line.
