=== debian/changelog ===
nvidia-xconfig (280.13-1) unstable; urgency=low

  * New upstream release.
  * Recommend libgl1-nvidia-glx-any (for libnvidia-cfg.so.1).

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 08 Aug 2011 17:35:26 +0200
