## nvidia-xconfig 290.10

=== debian/changelog ===
nvidia-xconfig (290.10-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update to dep5.mdwn?revision=202.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Nov 2011 12:32:49 +0100
