=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: i386 amd64
 Pre-Depends: nvidia-installer-cleanup
 Depends: pkg-config, x11-common, ${shlibs:Depends}, ${misc:Depends}
-Recommends: nvidia-glx
+Recommends: libgl1-nvidia-glx-any
 Description: X configuration tool for non-free NVIDIA drivers
  The nvidia-xconfig program helps with manipulation of X configuration
  files, primarily for systems that use the non-free drivers provided by
