=== debian/changelog ===
nvidia-xconfig (295.20-1) unstable; urgency=low

  * New upstream release.
  * Copyright updates, NVIDIA switched from GPL2+ to GPL2.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 15 Feb 2012 21:31:12 +0100
