=== debian/changelog ===
nvidia-xconfig (304.48-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:52:29 +0200

nvidia-xconfig (304.43-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 03:10:29 +0200

nvidia-xconfig (304.37-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 14 Aug 2012 10:21:02 +0200

nvidia-xconfig (302.17-2) unstable; urgency=low

  * Fix building with DEB_BUILD_OPTIONS=noopt.
  * Enable verbose build by default.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 19:24:07 +0200

nvidia-xconfig (302.17-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Switch to debhelper 9 to get the hardening build flags.
  * d/rules: Use the hardened CPPFLAGS.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 27 Jun 2012 10:54:01 +0200

nvidia-xconfig (302.07-1) experimental; urgency=low

  * New upstream release.
    - Added a new option, --restore-original-backup, to nvidia-xconfig.
      nvidia-xconfig creates a backup of the original X configuration
      file when modifying an X configuration file that does not appear
      to have been previously modified by nvidia-xconfig. This option
      restores a backup of the original X configuration file, if such
      a backup is found.
    * Drop DESTDIR.diff and FHS.diff as the build system now supports DESTDIR
      and allows overriding PREFIX.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 11:43:48 +0200

nvidia-xconfig (295.33-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Use the final copyright-format/1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 04 Apr 2012 14:06:14 +0200
