=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Russ Allbery <rra@debian.org>,
  Andreas Beckmann <debian@abeckmann.de>,
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), m4
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), m4
+Standards-Version: 3.9.3
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig/
