=== debian/changelog ===
nvidia-xconfig (319.72-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Nov 2013 17:43:27 +0100

nvidia-xconfig (319.72-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:11:43 +0100

nvidia-xconfig (319.60-1) unstable; urgency=low

  * New upstream release.
  * Build for armhf, too.
  * Add lintian overrides for missing upstream changelog.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2013 11:40:35 +0200

nvidia-xconfig (313.30-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Oct 2013 22:56:23 +0200

nvidia-xconfig (310.51-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2013 20:55:02 +0200

nvidia-xconfig (310.19-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 23 Nov 2012 19:05:25 +0100

nvidia-xconfig (304.108-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 20:50:56 +0200

nvidia-xconfig (304.88-1) unstable; urgency=low

  * New upstream release.
  * clean.patch: New. Clean generated manpage, too.
  * Support building twice in a row.
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Update my email address and drop DMUA. 

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 May 2013 19:07:13 +0200
