=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: extra
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Russ Allbery <rra@debian.org>,
- Andreas Beckmann <debian@abeckmann.de>,
-DM-Upload-Allowed: yes
+ Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper (>= 9), m4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
-Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-xconfig/
+Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-xconfig/
 
 Package: nvidia-xconfig
-Architecture: i386 amd64
+Architecture: i386 amd64 armhf
 Pre-Depends: nvidia-installer-cleanup
 Depends: pkg-config, x11-common, ${shlibs:Depends}, ${misc:Depends}
 Recommends: libgl1-nvidia-glx-any
