## nvidia-xconfig 340.46

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 else
   MANPAGE            = $(MANPAGE_not_gzipped)
 endif
-GEN_MANPAGE_OPTS   = $(OUTPUTDIR)/gen-manpage-opts
+GEN_MANPAGE_OPTS   = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
 OPTIONS_1_INC      = $(OUTPUTDIR)/options.1.inc
 
 
@@ -156,7 +156,7 @@
 	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@
 
 $(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
-	@./$< > $@
+	@$< > $@
 
 $(MANPAGE_not_gzipped): nvidia-xconfig.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
 	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \
