=== debian/changelog ===
nvidia-xconfig (340.46-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 07 Oct 2014 00:10:51 -0700

nvidia-xconfig (340.32-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Aug 2014 00:00:25 -0700

nvidia-xconfig (340.24-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 17:40:09 -0700

nvidia-xconfig (331.67-1) unstable; urgency=low

  * New upstream release.
  * Add lintian override for gpg signature not provided by upstream.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 14:30:11 +0200
