=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Russ Allbery <rra@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
+ Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9), m4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-xconfig/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-xconfig/
