=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG = 1
endif

export PREFIX = /usr


%:
	dh $@

override_dh_auto_build:
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build
