=== debian/changelog ===
nvidia-xconfig (390.87-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Feb 2019 23:28:34 +0100

nvidia-xconfig (390.87-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Jan 2019 16:48:41 +0100

nvidia-xconfig (390.25-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Mar 2018 01:58:28 +0100

nvidia-xconfig (387.34-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 01:23:54 +0100

nvidia-xconfig (384.111-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Feb 2018 00:27:00 +0100

nvidia-xconfig (384.111-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Jan 2018 17:05:15 +0100

nvidia-xconfig (384.98-1) unstable; urgency=medium

  * New upstream release.
    - Fixed a regression that prevented nvidia-xconfig from querying
      some GPUs, e.g. when running `nvidia-xconfig -a`.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 06:15:46 +0100

nvidia-xconfig (381.22-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 17:32:18 +0100

nvidia-xconfig (378.13-1) unstable; urgency=medium

  * New upstream release.
  * Add B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 18:41:46 +0100

nvidia-xconfig (375.82-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Switch to https:// URLs.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.1.
  * Use GPL notices without FSF street address.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Use a fixed OUTPUTDIR for improved reproducibility.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 01:21:38 +0100

nvidia-xconfig (375.26-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 03:38:29 +0100

nvidia-xconfig (375.10-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 20:36:46 +0100

nvidia-xconfig (370.28-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Dec 2016 12:36:53 +0100

nvidia-xconfig (367.44-1) unstable; urgency=medium

  * New upstream release.
  * Upstream build system allows creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Oct 2016 11:20:29 +0200

nvidia-xconfig (364.19-1) unstable; urgency=medium

  * New upstream release.
  * Fix upstream build system to allow creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 20:23:45 +0200

nvidia-xconfig (361.45.18-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 13:09:39 +0200

nvidia-xconfig (358.16-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 01:33:57 +0200

nvidia-xconfig (355.11-1) unstable; urgency=medium

  * New upstream release.
  * Mark nvidia-xconfig as deprecated in the Description since creating an
    xorg.conf is no longer needed for normal setups.  (Closes: #823712)
  * Enable more hardening.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Oct 2016 15:49:40 +0200

nvidia-xconfig (352.79-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Apr 2016 16:07:29 +0200

nvidia-xconfig (349.16-1) unstable; urgency=medium

  * New upstream release.
  * A few files are now under the Expat license.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Apr 2016 12:30:17 +0200

nvidia-xconfig (346.96-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 17:55:41 +0200

nvidia-xconfig (343.36-1) unstable; urgency=medium

  * New upstream release.
  * Resolve xorg libdir at build time.  (Closes: #749730)
  * Ship /etc/X11 instead of depending on x11-common.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 01:20:43 +0200

nvidia-xconfig (340.96-1) unstable; urgency=medium

  * New upstream release.
  * Convert packaging repository from SVN to GIT.
  * Build an unstripped binary s.t. we get a -dbgsym package.
  * typos.patch: New, fix some typos found by lintian.
  * Clean up properly after build.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Apr 2016 14:39:12 +0200

nvidia-xconfig (340.93-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch for
    nvidia-settings by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 11:54:42 +0200
