## nvidia-xconfig 410.93

=== debian/changelog ===
nvidia-xconfig (410.93-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now builds reproducibly.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 13:30:20 +0100

nvidia-xconfig (396.54-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 12).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Feb 2019 19:22:53 +0100
