=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.18.8),
  m4,
  pkg-config,
