=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,6 @@
 
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
-
-# Redefine DATE to something stable to make the build reproducible
-export DATE		 = date -d "@$(SOURCE_DATE_EPOCH)"
-# Cheat for user and hostname
-export WHOAMI		 = echo buildd
-export HOSTNAME_CMD	 = echo debian
 
 PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
 CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR=\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"
