=== debian/watch ===
version=3
https://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-(.*).tar.(?:gz|bz2)
