## nvidia-xconfig 440.44

=== debian/changelog ===
nvidia-xconfig (440.44-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jan 2020 22:17:17 +0100

nvidia-xconfig (435.21-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jan 2020 02:14:32 +0100

nvidia-xconfig (430.50-1) unstable; urgency=medium

  * New upstream release.
    - Fixed a bug that could cause the display to be driven at a low
      resolution when configuring PRIME display offloading with
      `nvidia-xconfig --prime`.
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Oct 2019 23:27:26 +0200
